PETSc version 3.15.5
Fix/Edit manual page

# CHKERRABORT

Checks error code returned from PETSc function. If non-zero it aborts immediately.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode CHKERRABORT(MPI_Comm comm,PetscErrorCode ierr)

Not Collective

### Input Parameters

| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), SETERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ2(), SETERRABORT(), CHKERRMPI()

### Level

intermediate

### Location

src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages